Inhalte

# Anweisung Enum [VBA]

Definieren Sie Aufzählungen oder Nicht-UNO-Konstantengruppen. Eine Aufzählung ist eine Werteliste, die die Programmierung erleichtert und die Überprüfung der Codelogik erleichtert.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

           Enum list_name
               ' Object Statement block
           End Enum ' list_name

## Parameter:

Passen Sie innerhalb einer bestimmten Aufzählung Werte an, die sich logisch aufeinander beziehen.

### Beispiel:

           Option VBASupport 1
           Private Enum _WindowManager
               W1ND0WS = 1 ' Windows
               OS2PM = 2 ' OS/2 Presentation Manager
               MACINTOSH = 3 ' Macintosh
               MOTIF = 4 ' Motif Window Manager / Unix-like
               OPENLOOK = 5 ' Open Look / Unix-like
           End Enum
           Public Function WindowManager() As Object
               WindowManager = _WindowManager
           End Function ' <library>.<module>.WindowManager.XXX

Aufzählungswerte werden in den Datentyp Long gerendert. Grundfunktionen sind öffentliche Zugriffe auf Aufzählungen. Aufzählungsnamen und Wertnamen müssen innerhalb einer Bibliothek und über Module hinweg eindeutig sein.

## Verwendung:

Gruppierte Konstantenwerte von WindowManager anzeigen:

           Dim winMgr As Object : winMgr = <library>.<module>.WindowManager
           With winMgr
               Print .MACINTOSH, .MOTIF, .OPENLOOK, .OS2PM, .W1ND0WS
           End With

Aufzählungen können mit auf andere Datentypen erweitert werden, indem Type statement Definitionen verwendet werden. Aufrufen von Python-Skripten aus Basic veranschaulicht diesen Mechanismus.

Verwandte Themen

Anweisung Const, Konstanten

Anweisung Option VBASupport

Anweisung With